#ifndef CODECS_H
#define CODECS_H

// =================================== codecs
// All new codecs store their variables in a quicktime_...._codec structure
// at this point.  The structure is statically allocated here even if the codec
// isn't used.

#include "jpeg.h"
#include "raw.h"
#include "yuv2.h"

typedef struct
{
	quicktime_jpeg_codec_t jpeg_codec;
	quicktime_yuv2_codec_t yuv2_codec;
	quicktime_raw_codec_t raw_codec;
} quicktime_codecs_t;


#endif
